summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-03-30 19:49:07 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-03-30 19:49:07 +0200
commit712a7998a6e64638154c2cc3b3262b0881ca0138 (patch)
treea8cb06c8f87a571b4132ca5ce1280316df321d5e
parent2615fde640b4420ab281006b996360ae7efb2e82 (diff)
add findutils do host machinery
-rw-r--r--README1
-rw-r--r--package/findutils/Makefile6
-rw-r--r--scripts/scan-tools.sh22
-rw-r--r--target/config/Config.in.tools4
4 files changed, 25 insertions, 8 deletions
diff --git a/README b/README
index 11c21e5a3..81ebd7798 100644
--- a/README
+++ b/README
@@ -11,7 +11,6 @@ Before you can start you need to install some tools:
- GNU make
- GNU awk
- GNU sed
-- findutils (find, xargs)
- tar
- patch
- gzip
diff --git a/package/findutils/Makefile b/package/findutils/Makefile
index d89ca77ea..57fdf77b3 100644
--- a/package/findutils/Makefile
+++ b/package/findutils/Makefile
@@ -7,7 +7,7 @@ PKG_NAME:= findutils
PKG_VERSION:= 4.4.2
PKG_RELEASE:= 4
PKG_MD5SUM:= 351cc4adb07d54877fa15f75fb77d39f
-PKG_DESCR:= GNU utilities for finding files
+PKG_DESCR:= utilities for finding files
PKG_SECTION:= utils
PKG_DEPENDS:= libpthread
PKG_BUILDDEP:= autotool
@@ -18,12 +18,15 @@ PKG_SUBPKGS:= FIND XARGS LOCATE
PKGSD_LOCATE:= locate utility
PKGSD_XARGS:= xargs utility
+include $(TOPDIR)/mk/host.mk
include $(TOPDIR)/mk/package.mk
+$(eval $(call HOST_template,FINDUTILS,findutils,$(PKG_VERSION)-${PKG_RELEASE}))
$(eval $(call PKG_template,FIND,find,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
$(eval $(call PKG_template,XARGS,xargs,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKGSD_XARGS},${PKG_SECTION}))
$(eval $(call PKG_template,LOCATE,locate,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKGSD_LOCATE},${PKG_SECTION}))
+HOST_STYLE:= auto
AUTOTOOL_STYLE:= autoreconf
CONFIGURE_ENV+= gl_cv_func_wcwidth_works=yes \
ac_cv_func_working_mktime=yes
@@ -44,4 +47,5 @@ locate-install:
$(INSTALL_BIN) $(WRKINST)/usr/libexec/{bigram,code,frcode} \
$(IDIR_LOCATE)/usr/libexec
+include ${TOPDIR}/mk/host-bottom.mk
include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 119a7a6bd..c9b8029d5 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -196,12 +196,6 @@ if ! which perl >/dev/null 2>&1; then
out=1
fi
-if ! which xargs >/dev/null 2>&1; then
- echo "You need xargs to continue."
- echo
- out=1
-fi
-
if ! which g++ >/dev/null 2>&1; then
echo "You need g++ (GNU C++ compiler) to continue."
echo
@@ -251,6 +245,21 @@ if ! which pkgconf >/dev/null 2>&1; then
host_build_pkgconf=1
fi
+host_build_findutils=0
+if ! which gxargs >/dev/null 2>&1; then
+ if ! which xargs >/dev/null 2>&1; then
+ echo "No xargs found, will build one."
+ host_build_findutils=1
+ fi
+fi
+
+if ! which gfind >/dev/null 2>&1; then
+ if ! which find >/dev/null 2>&1; then
+ echo "No find found, will build one."
+ host_build_findutils=1
+ fi
+fi
+
host_build_xz=0
if ! which xz >/dev/null 2>&1; then
echo "No xz found, will build one."
@@ -288,6 +297,7 @@ if [ $host_build_file -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FILE"
if [ $host_build_flex -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FLEX" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_m4 -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_M4" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_pkgconf -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_PKGCONF" >> $topdir/target/config/Config.in.prereq ;fi
+if [ $host_build_findutils -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FINDUTILS" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_xz -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_XZ" >> $topdir/target/config/Config.in.prereq ;fi
# optional
if [ $host_build_ccache -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_CCACHE if ADK_HOST_NEED_CCACHE" >> $topdir/target/config/Config.in.prereq ;fi
diff --git a/target/config/Config.in.tools b/target/config/Config.in.tools
index 6f2cdab88..92bbae9d6 100644
--- a/target/config/Config.in.tools
+++ b/target/config/Config.in.tools
@@ -28,6 +28,10 @@ config ADK_HOST_BUILD_FILE
boolean
default n
+config ADK_HOST_BUILD_FINDUTILS
+ boolean
+ default n
+
config ADK_HOST_BUILD_FLEX
boolean
default n